version: '3.9'

services:

  reverse-proxy:
    image: mpai-reverse-proxy
    build: ./reverse-proxy
    ports:
      - "8888:80"

  # audio-analyzer:
  #   image: mpai-audio-analyzer
  #   build: ./eq_detection
  #   command: bash -c "poetry run python -u src/cli/app.py -i /data/input -d /data/output > /var/log/audio-analyzer/stdout.log 2> /var/log/audio-analyzer/stderr.log"
  #   volumes:
  #     - ./data:/data
  #     - ./logs/audio-analyzer:/var/log/audio-analyzer

  # video-analyzer:
  #   image: mpai-video-analyzer
  #   build: ./video-analyzer
  #   volumes:
  #     - ./data:/data
  #     - ./logs/video-analyzer:/var/log/video-analyzer

  tape-irregularity-classifier:
    image: mpai-tape-irregularity-classifier
    build: ./tape-irregularity-classifier
    volumes:
      - ./data:/data
      - ./logs/tape-irregularity-classifier:/var/log/tape-irregularity-classifier

  tape-audio-restoration:
    image: mpai-tape-audio-restoration
    build: ./tape-audio-restoration
    volumes:
      - ./data:/data
      - ./logs/tape-audio-restoration:/var/log/tape-audio-restoration

  packager:
    image: mpai-packager
    build: ./packager
    volumes:
      - ./data:/data
      - ./logs/packager:/var/log/packager

volumes:
  data:
